Loading...
Searching...
No Matches
XrdOfsTPCConfig Struct Reference

`#include <XrdOfsTPCConfig.hh>`

Collaboration diagram for XrdOfsTPCConfig:

## Public Member Functions

| XrdOfsTPCConfig ()
| ~XrdOfsTPCConfig ()

## Public Attributes

bool | autoRM
char * | cksType
char * | cPath
int | dflTTL
bool | doEcho
int | errMon
bool | fCreds
bool | LogOK
int | maxTTL
bool | noids
char * | rPath
int | tcpSMax
int | tcpSTRM
XrdXrootdTpcMon * | tpcMon
int | xfrMax
char * | XfrProg

## Detailed Description

Definition at line 35 of file XrdOfsTPCConfig.hh.

## Constructor & Destructor Documentation

## XrdOfsTPCConfig()

XrdOfsTPCConfig::XrdOfsTPCConfig | ( |  | ) |

inline

Definition at line 55 of file XrdOfsTPCConfig.hh.

: tpcMon(0), XfrProg(0), cksType(0), cPath(0), rPath(0),
maxTTL(15), dflTTL(7), tcpSTRM(0), tcpSMax(15),
xfrMax(9), errMon(-3), LogOK(false), doEcho(false),
autoRM(false), noids(true), fCreds(false)
{}
XrdOfsTPCConfig::tcpSTRM
int tcpSTRM
Definition XrdOfsTPCConfig.hh:45
XrdOfsTPCConfig::tpcMon
XrdXrootdTpcMon * tpcMon
Definition XrdOfsTPCConfig.hh:37
XrdOfsTPCConfig::cksType
char * cksType
Definition XrdOfsTPCConfig.hh:40
XrdOfsTPCConfig::cPath
char * cPath
Definition XrdOfsTPCConfig.hh:41
XrdOfsTPCConfig::xfrMax
int xfrMax
Definition XrdOfsTPCConfig.hh:47
XrdOfsTPCConfig::errMon
int errMon
Definition XrdOfsTPCConfig.hh:48
XrdOfsTPCConfig::XfrProg
char * XfrProg
Definition XrdOfsTPCConfig.hh:39
XrdOfsTPCConfig::fCreds
bool fCreds
Definition XrdOfsTPCConfig.hh:53
XrdOfsTPCConfig::rPath
char * rPath
Definition XrdOfsTPCConfig.hh:42
XrdOfsTPCConfig::noids
bool noids
Definition XrdOfsTPCConfig.hh:52
XrdOfsTPCConfig::LogOK
bool LogOK
Definition XrdOfsTPCConfig.hh:49
XrdOfsTPCConfig::doEcho
bool doEcho
Definition XrdOfsTPCConfig.hh:50
XrdOfsTPCConfig::dflTTL
int dflTTL
Definition XrdOfsTPCConfig.hh:44
XrdOfsTPCConfig::tcpSMax
int tcpSMax
Definition XrdOfsTPCConfig.hh:46
XrdOfsTPCConfig::maxTTL
int maxTTL
Definition XrdOfsTPCConfig.hh:43
XrdOfsTPCConfig::autoRM
bool autoRM
Definition XrdOfsTPCConfig.hh:51

References autoRM, cksType, cPath, dflTTL, doEcho, errMon, fCreds, LogOK, maxTTL, noids, rPath, tcpSMax, tcpSTRM, tpcMon, xfrMax, and XfrProg.

## ~XrdOfsTPCConfig()

XrdOfsTPCConfig::~XrdOfsTPCConfig | ( |  | ) |

inline

Definition at line 61 of file XrdOfsTPCConfig.hh.

{} // Never deleted

## Member Data Documentation

## autoRM

bool XrdOfsTPCConfig::autoRM

Definition at line 51 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## cksType

char* XrdOfsTPCConfig::cksType

Definition at line 40 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## cPath

char* XrdOfsTPCConfig::cPath

Definition at line 41 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## dflTTL

int XrdOfsTPCConfig::dflTTL

Definition at line 44 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## doEcho

bool XrdOfsTPCConfig::doEcho

Definition at line 50 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## errMon

int XrdOfsTPCConfig::errMon

Definition at line 48 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## fCreds

bool XrdOfsTPCConfig::fCreds

Definition at line 53 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## LogOK

bool XrdOfsTPCConfig::LogOK

Definition at line 49 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## maxTTL

int XrdOfsTPCConfig::maxTTL

Definition at line 43 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## noids

bool XrdOfsTPCConfig::noids

Definition at line 52 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## rPath

char* XrdOfsTPCConfig::rPath

Definition at line 42 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## tcpSMax

int XrdOfsTPCConfig::tcpSMax

Definition at line 46 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## tcpSTRM

int XrdOfsTPCConfig::tcpSTRM

Definition at line 45 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## tpcMon

XrdXrootdTpcMon* XrdOfsTPCConfig::tpcMon

Definition at line 37 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## xfrMax

int XrdOfsTPCConfig::xfrMax

Definition at line 47 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

## XfrProg

char* XrdOfsTPCConfig::XfrProg

Definition at line 39 of file XrdOfsTPCConfig.hh.

Referenced by XrdOfsTPCConfig().

The documentation for this struct was generated from the following file:

- XrdOfsTPCConfig.hh